Ключевое слово в защите информации
КЛЮЧЕВОЕ СЛОВО
в защите информации
Получить ГОСТ TLS-сертификат для домена (SSL-сертификат)
Добро пожаловать, Гость! Чтобы использовать все возможности Вход или Регистрация.

Уведомление

Icon
Error

Опции
К последнему сообщению К первому непрочитанному
Offline Николай О.  
#1 Оставлено : 4 октября 2021 г. 10:37:03(UTC)
Николай О.

Статус: Новичок

Группы: Участники
Зарегистрирован: 04.10.2021(UTC)
Сообщений: 1

Здравсвуйте!
Работаю на Ubuntu 20.04.3
1) Захожу сюда: https://www.cryptopro.ru/products/cades/plugin
2) Устанавлюваю криптопровайдер. Все ставится.
3) Скачиваю КриптоПро ЭЦП Browser plug-in со страницы https://cryptopro.ru/products/cades/plugin/get_2_0 архив cades_linux_amd64.tar.gz
4) Выполняю команду

sudo dpkg -i cprocsp-pki-plugin-64_2.0.14368-1_amd64.deb

получаю ошибку:
Цитата:

(Reading database ... 210067 files and directories currently installed.)
Preparing to unpack cprocsp-pki-plugin-64_2.0.14368-1_amd64.deb ...
CryptoPro ECP browser plug-in requires rdr_gui_gtk package from CryptoPro CSP. Install it before installing this package.
dpkg: error processing archive cprocsp-pki-plugin-64_2.0.14368-1_amd64.deb (--install):
new cprocsp-pki-plugin-64 package pre-installation script subprocess returned error exit status 1
Errors were encountered while processing:
cprocsp-pki-plugin-64_2.0.14368-1_amd64.deb


И где взять rdr_gui_gtk ?
Online Александр Лавник  
#2 Оставлено : 4 октября 2021 г. 10:55:57(UTC)
Александр Лавник

Статус: Сотрудник

Группы: Участники
Зарегистрирован: 30.06.2016(UTC)
Сообщений: 2,672
Мужчина
Российская Федерация

Сказал «Спасибо»: 44 раз
Поблагодарили: 602 раз в 567 постах
Автор: Николай О. Перейти к цитате
Здравсвуйте!
Работаю на Ubuntu 20.04.3
1) Захожу сюда: https://www.cryptopro.ru/products/cades/plugin
2) Устанавлюваю криптопровайдер. Все ставится.
3) Скачиваю КриптоПро ЭЦП Browser plug-in со страницы https://cryptopro.ru/products/cades/plugin/get_2_0 архив cades_linux_amd64.tar.gz
4) Выполняю команду

sudo dpkg -i cprocsp-pki-plugin-64_2.0.14368-1_amd64.deb

получаю ошибку:
Цитата:

(Reading database ... 210067 files and directories currently installed.)
Preparing to unpack cprocsp-pki-plugin-64_2.0.14368-1_amd64.deb ...
CryptoPro ECP browser plug-in requires rdr_gui_gtk package from CryptoPro CSP. Install it before installing this package.
dpkg: error processing archive cprocsp-pki-plugin-64_2.0.14368-1_amd64.deb (--install):
new cprocsp-pki-plugin-64 package pre-installation script subprocess returned error exit status 1
Errors were encountered while processing:
cprocsp-pki-plugin-64_2.0.14368-1_amd64.deb


И где взять rdr_gui_gtk ?
Здравствуйте.

Пакет cprocsp-rdr-gui-gtk... нужно взять из состава используемого дистрибутива КриптоПро CSP.
Техническую поддержку оказываем тут
Наша база знаний
RSS Лента  Atom Лента
Пользователи, просматривающие эту тему
Быстрый переход  
Вы не можете создавать новые темы в этом форуме.
Вы не можете отвечать в этом форуме.
Вы не можете удалять Ваши сообщения в этом форуме.
Вы не можете редактировать Ваши сообщения в этом форуме.
Вы не можете создавать опросы в этом форуме.
Вы не можете голосовать в этом форуме.